SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
wifi_p2p_config.h File Reference

This file provides user interfaces for Wi-Fi Direct functionality. More...

## Functions
int | wifi_p2p_init (u8 *dev_addr, int go_intent, u8 listen_ch, u8 op_ch)
| Initialize P2P data. More...
void | wifi_p2p_deinit ()
| Deinitialize P2P data. More...
void | cmd_wifi_p2p_start (int argc, char **argv)
| Command to start WiFi Direct mode for commonly use. Can refer to ATWG in atcmd_wifi.c. After executing this command, P2P resource will be allocated and the driver enter P2P mode. More...
void | cmd_wifi_p2p_stop (int argc, char **argv)
| Command to stop WiFi Direct mode for commonly use. Can refer to ATWH in atcmd_wifi.c. After execute this command, WLAN driver will release P2P resources and turn off Wi-Fi. More...
void | cmd_p2p_info (int argc, char **argv)
| Command to show P2P role, P2P group information, and memory usage. Can refer to ATWN in atcmd_wifi.c. More...
void | wifi_p2p_set_dev_name (const char *dev_name)
| Set the device name in WPS ie and P2P ie. More...
void | wifi_p2p_set_manufacturer (const char *manufacturer)
| Set the manufacturer in WPS ie. More...
void | wifi_p2p_set_model_name (const char *model_name)
| Set the model name in WPS ie. More...
void | wifi_p2p_set_model_number (const char *model_number)
| Set the model number in WPS ie. More...
void | wifi_p2p_set_serial_number (const char *serial_number)
| Set the serial number in WPS ie. More...
void | wifi_p2p_set_pri_dev_type (const u8 *pri_dev_type)
| Set the primary device type in WPS ie and P2P ie. More...
void | wifi_p2p_set_ssid (const char *ssid_in)
| Set the GO SSID. More...
void | wifi_p2p_init_auto_go_params (void *res, u8 *passphrase, u8 channel)
| Initialize the Wi-Fi Direct GO parameters. More...
int | wifi_p2p_start_auto_go (void *res)
| Start Wi-Fi Direct GO. More...
int | cmd_wifi_p2p_auto_go_start (int argc, char **argv)
| Command to start WiFi Direct GO mode for commonly use. Can refer to ATWg in atcmd_wifi.c. More...

## Detailed Description

This file provides user interfaces for Wi-Fi Direct functionality.

Author

Version

Note
  To use the APIs in this file, please enable CONFIG_ENABLE_WPS and CONFIG_ENABLE_P2P in platform_opts.h.

Attention

This module is a confidential and proprietary property of RealTek and possession or use of this module requires written permission of RealTek.

Copyright(c) 2016, Realtek Semiconductor Corporation. All rights reserved.